ITPub博客

首页 > Linux操作系统 > Linux操作系统 > libawt.so: libXp.so.6: wrong ELF class: ELFCLASS64

libawt.so: libXp.so.6: wrong ELF class: ELFCLASS64

原创 Linux操作系统 作者:gaiguoxiang 时间:2012-05-20 13:13:37 0 删除 编辑

在rhel5 64上面安装oracle10g的时候,会出现下面的错误:

准备从以下地址启动 Oracle Universal Installer /tmp/OraInstall2011-06-01_08-21-12PM. 请稍候...[oracle@iparkdb database]$ Exception in thread "main" java.lang.UnsatisfiedLinkError: /tmp/OraInstall2011-06-01_08-21-12PM/jre/1.4.2/lib/i386/libawt.so: libXp.so.6: wrong ELF class: ELFCLASS64
at java.lang.ClassLoader$NativeLibrary.load(Native Method)
at java.lang.ClassLoader.loadLibrary0(Unknown Source)
at java.lang.ClassLoader.loadLibrary(Unknown Source)
at java.lang.Runtime.loadLibrary0(Unknown Source)
at java.lang.System.loadLibrary(Unknown Source)
at sun.security.action.LoadLibraryAction.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at sun.awt.NativeLibLoader.loadLibraries(Unknown Source)
at sun.awt.DebugHelper.(Unknown Source)
at java.awt.Component.(Unknown Source

采用下面的方法,可以解决这个问题:

rpm -ivh libXp-1.0.0-8.1.el5.i386.rpm

虽然操作系统、oracle都是64位,依然要安装libXp

另外,在LD_LIBRARY_PATH中,环境变量应该为/lib:/usr/lib

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/25517773/viewspace-730278/,如需转载,请注明出处,否则将追究法律责任。

上一篇: WINDOWS卸载oracle
请登录后发表评论 登录
全部评论

注册时间:2011-06-22

  • 博文量
    41
  • 访问量
    110431